{% layout 'theme' %}{% comment %}<!-- { % layout settings.customer_layout % } -->{% endcomment %}

<div id="container-account" class="container contains-page-title contains-page-content account-page-container fs14 pt40 pb40">
  <div class="row">
    <div class="col-lg-3 contains-account-sidebar" id="customer_sidebar">
      
      <a class="link-back-to-store like-table mt5" href="{{ shop.url }}"><i class="fa fa-arrow-left"></i> &nbsp;Return to Store</a>
      
      <hr class="mt15" />
      
      <div id="customer_detail" class="group">
        
        <h3 class="name mb0">{{ customer.name }}</h3>
        <p class="email color-grey">{{ customer.email }}</p>
        
        <div class="default-address mt20">
          <label class="mb5">Default Address</label>
          {% if customer.default_address != nil %}
          <div>{{ customer.default_address.company }}</div>
          <div>{{ customer.default_address.street }}</div>
          <div>{{ customer.default_address.city }}{% if customer.default_address.province_code %}, {{ customer.default_address.province_code }}{% endif %}</div>
          <div>{{ customer.default_address.country }} {{ customer.default_address.zip }}</div>
          <div>{{ customer.default_address.phone }}</div>
            {% else %}
          <p class="color-lighter">Please add your shipping address.</p>
          {% endif %}
          <span class="regular-content">
            <a id="view_address" href="/account/addresses" class="link-manage-addresses fs13 like-table mt5">Manage Addresses</a>
          </span>
        </div>
        
      </div><!-- #customer_detail -->
      
    </div><!-- #customer_sidebar -->
    <div class="col-lg-9 contains-account-section" id="customer_orders">
      
      <h1 class="page-heading fs32 mt0 pb5 bb1">Order History</h1>
      
      {% if customer.orders.size != 0 %}
      <table>
        <thead>
          <tr>
            <th class="order_number">Order</th>
            <th class="date">Date</th>
            <th class="payment_status">Payment Status</th>
            <th class="fulfillment_status">Fulfillment Status</th>
            <th class="total">Total</th>
          </tr>
        </thead>
        <tbody>
          {% for order in customer.orders %}
          <tr class="{% cycle 'odd', 'even' %}{% if order.cancelled %} cancelled_order{% endif %}{{ order.financial_status | handleize | prepend: ' finstatus-' }}{{ order.fulfillment_status | handleize | prepend: ' ffmtstatus-' }}">
            <td>{{ order.name | link_to: order.customer_url }}</td>
            <td><span class="note">{{ order.created_at | date: "%b %d, %Y" }}</span></td>
            <td><span class="status_{{ order.financial_status }}">{{ order.financial_status }}</span></td>
            <td><span class="status_{{ order.fulfillment_status }}">{{ order.fulfillment_status }}</span></td>
            <td><span class="total money">{{ order.total_price | money }}</span></td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
      {% else %}
      <p class="color-lighter fs22 text-center pt100 pb100">You haven't placed any orders yet.</p>
      {% endif %}
      
    </div><!-- #customer_orders -->
  </div>
</div><!-- #container-account -->